Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoDebugVarInfo

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoDebugVarInfo,MonoDebugVarInfo.ByValue,MonoDebugVarInfo.ByReference>
              com.nativelibs4java.mono.MonoDebugVarInfo

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoDebugVarInfo,MonoDebugVarInfo.ByValue,MonoDebugVarInfo.ByReference>>

Direct Known Subclasses:
  MonoDebugVarInfo.ByReference, MonoDebugVarInfo.ByValue

    public class MonoDebugVarInfo

extends Structure<MonoDebugVarInfo,MonoDebugVarInfo.ByValue,MonoDebugVarInfo.ByReference>

native declaration : mono\metadata\mono-debug.h:121
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoDebugVarInfo.ByReference`
`static class` | `MonoDebugVarInfo.ByValue`

Field Summary
`int` | `begin_scope`
`int` | `end_scope`
`int` | `index`
`int` | `offset`
`int` | `size`
`MonoLibrary.MonoType` | `type`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoDebugVarInfo()`
`MonoDebugVarInfo(int index, int offset, int size, int begin_scope, int end_scope, MonoLibrary.MonoType type)`

Method Summary
`protected MonoDebugVarInfo.ByReference` | `newByReference()`
`protected MonoDebugVarInfo.ByValue` | `newByValue()`
`protected MonoDebugVarInfo` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### index

    public int index

### offset

    public int offset

### size

    public int size

### begin_scope

    public int begin_scope

### end_scope

    public int end_scope

### type

    public MonoLibrary.MonoType type

Constructor Detail

### MonoDebugVarInfo

    public MonoDebugVarInfo()

### MonoDebugVarInfo

    public MonoDebugVarInfo(int index,
                            int offset,
                            int size,
                            int begin_scope,
                            int end_scope,
                            MonoLibrary.MonoType type)

Method Detail

### newByReference

    protected MonoDebugVarInfo.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoDebugVarInfo,MonoDebugVarInfo.ByValue,MonoDebugVarInfo.ByReference>`

### newByValue

    protected MonoDebugVarInfo.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoDebugVarInfo,MonoDebugVarInfo.ByValue,MonoDebugVarInfo.ByReference>`

### newInstance

    protected MonoDebugVarInfo newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoDebugVarInfo,MonoDebugVarInfo.ByValue,MonoDebugVarInfo.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD